# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_init_secure_context - Create a krb5 library context using only configuration files.

krb5_error_code krb5_init_secure_context(krb5_context *context)

param:

  [out] context - Library context

retval:

  - 0 Success

return:

  - Kerberos error codes

Create a context structure, using only system configuration files. All information passed through the environment variables is ignored.

The context must be released by calling krb5_free_context() when it is no longer needed.